<?php

require_once("../class/class.conectar.php");
require_once("../class/class.usuaprueba.php");

$Objcon = new Conectar();
$conex = $Objcon->con();

//pregunta por ejecucion
if(isset($_GET['anno']) and isset($_GET['mes']) and isset($_GET['ids']) and isset($_GET['idj'])){
$anno=$_GET['anno'];
$mm=$_GET['mes'];
$ids=$_GET['ids'];
$idj=$_GET['idj'];

$Objvalprog1 = new UsuarioAprueba();
$Objvalprog2 = new UsuarioAprueba();
$Objvaleje1 = new UsuarioAprueba();
$Objvaleje2 = new UsuarioAprueba();
$res_vprog1=array();$res_vprog2=array();$res_veje1=array();$res_veje2=array();
$res_vprog1 = $Objvalprog1->ask_validado($conex,$anno,$mm,$ids,$idj,1,1);
$res_vprog2 = $Objvalprog2->ask_validado($conex,$anno,$mm,$ids,$idj,2,1);
$res_veje1 = $Objvaleje1->ask_validadoeje($conex,$anno,$mm,$ids,$idj,2);
$res_veje2 = $Objvaleje2->ask_validadoeje($conex,$anno,$mm,$ids,$idj,3);

if(count($res_vprog1)==0 && count($res_vprog2)==0){
  echo "<font color='red'><b>NO EXISTE PROGRAMACION DEL MES</b></font><BR>";
}else{
  if(count($res_veje1)>0){
  //echo "<input type='button' class='llenarnoboton' value='Ejecucion Validado &#x00A; 1ra Quincena' id='hrsejecutar' name='hrsejecutar' disabled style='width:130px' cursor:pointer;>";
    echo "<div id='divvaleje1'><button id='btnvalejeq1' name='btnvalejeq1' class='llenarnoboton' onClick='valejequincena(1)' style='width:130px' disabled>";
    echo "Ejecucion Validado <br> 1ra Quincena";
    echo "</button></div>";
  }else{
    echo "<div id='divvaleje1'><button id='btnvalejeq1' name='btnvalejeq1' onClick='valejequincena(1)' style='width:130px'>";
    echo "Validar Ejecucion <br> 1ra Quincena";
    echo "</button></div>";
  }

  if(count($res_veje2)>0){
    echo "<div id='divvaleje2'><button id='btnvalejeq2' name='btnvalejeq2' class='llenarnoboton' onClick='valejequincena(2)' style='width:130px' disabled>";
    echo "Ejecucion Validado <br> 2da Quincena";
    echo "</button></div>";
  }else{
    echo "<div id='divvaleje2'><button id='btnvalejeq2' name='btnvalejeq2'  onClick='valejequincena(2)' style='width:130px'>";
    echo "Validar Ejecucion <br> 2da Quincena";
    echo "</button></div>";
  }
}

}
?>
